# Generated by go2rpm
%bcond_without check

# https://github.com/BurntSushi/toml-test
%global goipath         github.com/BurntSushi/toml-test
Version:                0.2.0
%global commit          9767d201b51ac9c50630f181828bcd922bf3e9e5

%gometa

%global common_description %{expand:
Toml-test is a higher-order program that tests other TOML decoders or encoders.
The goal is to make it comprehensive. Tests are divided into two groups: invalid
TOML data and valid TOML data. Decoders that reject invalid TOML data pass
invalid TOML tests. Decoders that accept valid TOML data and output precisely
what is expected pass valid tests. The output format is JSON, described below.

Both decoders and encoders share valid tests, except an encoder accepts JSON and
outputs TOML. The TOML representations are read with a blessed decoder and
compared. Note though that encoders have their own set of invalid tests in the
invalid-encoder directory. The JSON given to a TOML encoder is in the same
format as the JSON that a TOML decoder should output.}

%global golicenses      COPYING
%global godocs          README.md

Name:           %{goname}
Release:        19%{?dist}
Summary:        Language agnostic test suite for TOML parsers

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/BurntSushi/toml)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/toml-test %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

# package required test cases
mkdir -p  %{buildroot}%{_datadir}/toml-test/
cp -a tests %{buildroot}%{_datadir}/toml-test/

%if %{with check}
%check
%gocheck
%endif

%files
%license COPYING
%doc README.md
%{_bindir}/*
%{_datadir}/toml-test/

%gopkgfiles

%changelog
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0.2.0-18
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.2.0-12
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-11
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 08 22:44:41 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-7.20210108git9767d20
- Bump to commit 9767d201b51ac9c50630f181828bcd922bf3e9e5

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 24 18:37:50 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-5.20200724git280497f
- Bump to commit 280497fa5f12e43d7233aed0d74e07ca61ef176b

* Fri Jun 19 2020 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-4
- Package required test cases

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 03 18:00:42 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-1.20190703gitf910e15
- Bump to commit f910e151d1b14d94b1e8a4264db0814fb03520d9

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.15.git85f50d0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.14.git85f50d0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.13.git85f50d0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.12.git85f50d0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.11.git85f50d0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.10.git85f50d0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-0.9.git85f50d0
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-0.8.git85f50d0
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.7.git85f50d0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 24 2015 Julien Enselme <jujens@jujens.eu> - 0.2.0-0.6.git85f50d0
- %%files in main subpackage if-else license
- Correct %%files if devel package
- Remove duplicated BR in devel package

* Wed Jul 15 2015 Julien Enselme <jujens@jujens.eu> - 0.2.0-0.5.git85f50d0
- Disable devel package
- Specify minimal version needed for golang

* Sun Jul 12 2015 Julien Enselme <jujens@jujens.eu> - 0.2.0-0.4.git85f50d0
- Remove unecessary Requires to golang

* Sun Jul 12 2015 Julien Enselme <jujens@jujens.eu> - 0.2.0-0.3.git85f50d0
- Update SPEC to take into account flags from SPEC generated with gofed

* Sun Jul 12 2015 Julien Enselme <jujens@jujens.eu> - 0.2.0-0.2.git85f50d0
- Only add sources once in %%files in devel package
- Correct dist tag
- devel package requires standard package
- Use %%{go_arches} for ExclusiveArch

* Fri Jul 3 2015 Julien Enselme <jujens@jujens.eu> - 0.2.0-0.1.git85f50d0
- Initial packaging
